Subject: lad in china

From: [email-masked] (Zuhan Xi)
Date: Tue, 19 Apr 94 13:35:13 CDT

Hi there,
I field I-824 two weeks ago for my 5-year-old son who is in China and received
the Receipt Notice (Form I-797C) from East INS Service Center today.  In this
form, my name is on both boxes of PETITIONER and BENEFICIARY, also my A# is on 
both boxes of FILE NUMBER corresponding to Petitioner and Beneficiary 
respectively.  No my son's name on this notice at all.  I was confused because think that my son is the beneficiary of this petition (I-824) nd he should get his own FILE NUMBER (A#).
Are there any experenced people who can tell wherther my thoughts correct or not?  Any responces and comments are greatly appreciated.
Thanks.
,